{% extends 'base.html.twig' %}

{% block title %}EcoIT - Formations!{% endblock %}

{% block body %}
<section id="hero" class="d-flex align-items-center">
	<div class="container">
		<div class="row">
			<div class="col-lg-6 d-flex flex-column justify-content-center pt-4 pt-lg-0 order-2 order-lg-1" data-aos="fade-up" data-aos-delay="200">
				<h1>Nos formations</h1>
				<h2>Développez vos connaissances grâce à nos cours en ligne 100% a votre rythme</h2>
				<div class="d-flex justify-content-center justify-content-lg-start">
					<a href="#about" class="btn-get-started scrollto">Commencer !</a>
					<a href="https://www.youtube.com" class="glightbox btn-watch-video"><i class="fas fa-play-circle"></i><span>Présentation</span></a>
				</div>
			</div>
			<div class="col-lg-6 order-1 order-lg-2 hero-img" data-aos="zoom-in" data-aos-delay="200">
				<img src="{{ asset('/images/why-us.png') }}" class="img-fluid animated" alt="">
			</div>
		</div>
	</div>
</section><!-- End Hero -->
<section id="team" class="team section-bg">
	<div id="formations" class="container" data-aos="fade-up">
		<div class="section-title">
			<h2>Formations</h2>
			{% if is_granted('IS_AUTHENTICATED_REMEMBERED') %}
				<h3>Bienvenue dans la liste des formations vous pouvez filtrer selon vos besoins.</h3>
			{% else %}
				<h3>Pour acceder aux formations veuillez vous <a href="/login">connecter</h3>
			{% endif %}
		</div>
		<div class="d-flex">
			<select>
				<option value="">Choisissez</option>
				{% for category in categories %}
					<option value="{{ category.id }}">{{ category.name }}</option>
				{% endfor %}
			</select>
		</div>
		<div class="row">
		{% for formation in formations %}
			<a href="{% if is_granted('IS_AUTHENTICATED_REMEMBERED') %}{{ path('app_formation', {'slug': formation.slug}) }}{% else %} {{ path('app_login') }}{% endif %}" class="col-lg-12 mt-4">
				<div class="member d-flex align-items-start w-100" data-aos="zoom-in" data-aos-delay="100">
					<div class="thumb picture bg-cover card-img-start">
						<img class="img-thumbnail" src="{{ vich_uploader_asset(formation, 'imageFile') }}"/>
					</div>
					<div class="member-info w-100">
						<p>{{ formation.category }} - {{ formation.tag }}</p>
						<h4>{{ formation.title }}</h4>
						<p class="my-2">{{ formation.difficulty }}</p>
						<p>{{ formation.description }}</p>
						<div class="d-flex justify-content-end">
							<div>
								{% if formation.editionDate %}
									<p>Mis à jour le: {{ formation.editionDate|date('d/m/Y') }}</p>
								{% else %}
									<p>Crée le: {{ formation.creationDate|date('d/m/Y') }}</p>
								{% endif %}
							</div>
						</div>
					</div>
				</div>
			</a>
		{% endfor %}
	</div>
	<div class="d-flex justify-content-center mt-md-2">
		{% do formations.setPageRange(2) %}
		{{ knp_pagination_render(formations, 'base/pagination.html.twig') }}
	</div>
</section>
{% endblock %}
